- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes | Protected Member Functions | Friends

# FbxControlSetPlug Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Plug class for control set.

Definition at line 352 of file fbxcontrolset.h.

`#include <fbxcontrolset.h>`

Inheritance diagram for FbxControlSetPlug:
[legend]

List of all members.

## Public Attributes
FbxPropertyT < FbxControlSet::EType > | ControlSetType
| EType property of control set.
FbxPropertyT< FbxBool > | UseAxis
| Use axis flag.
FbxPropertyT< FbxReference > | Character
| Reference character.
## Protected Member Functions
| FbxControlSetPlug (FbxManager &pManager, char const *pName)
virtual void | Construct (const FbxControlSetPlug *pFrom)
virtual FbxStringList | GetTypeFlags () const
## Friends
class | FbxScene
class | FbxControlSet
## Error Management
The same error object is shared among instances of this class.
enum | EErrorCode { eError, eErrorCount }
| Error identifiers. More...
FbxError & | GetError ()
| Retrieve error object.
EErrorCode | GetLastErrorID () const
| Get last error code.
const char * | GetLastErrorString () const
| Get last error string.

## Member Enumeration Documentation

enum EErrorCode

Search for all occurrences

Error identifiers.

Enumerator:

  eError | Search for all occurrences
  eErrorCount | Search for all occurrences

Definition at line 377 of file fbxcontrolset.h.

            {
                eError,
                eErrorCount
            };

## Constructor & Destructor Documentation

FbxControlSetPlug | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

FbxError& GetError | ( |  | ) |

Search for all occurrences

Retrieve error object.

Returns:
  Reference to error object.

EErrorCode GetLastErrorID | ( |  | ) | const

Search for all occurrences

Get last error code.

Returns:
  Last error code.

const char* GetLastErrorString | ( |  | ) | const

Search for all occurrences

Get last error string.

Returns:
  Textual description of the last error.

virtual void Construct | ( | const FbxControlSetPlug * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

virtual FbxStringList GetTypeFlags | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Friends And Related Function Documentation

friend class FbxScene `[friend]`

Search for all occurrences

Reimplemented from FbxObject.

Definition at line 406 of file fbxcontrolset.h.

friend class FbxControlSet `[friend]`

Search for all occurrences

Definition at line 407 of file fbxcontrolset.h.

## Member Data Documentation

FbxPropertyT<FbxControlSet::EType> ControlSetType

Search for all occurrences

EType property of control set.

Definition at line 358 of file fbxcontrolset.h.

FbxPropertyT<FbxBool> UseAxis

Search for all occurrences

Use axis flag.

Definition at line 361 of file fbxcontrolset.h.

FbxPropertyT<FbxReference> Character

Search for all occurrences

Reference character.

Definition at line 364 of file fbxcontrolset.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/constraint/fbxcontrolset.h

FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug
FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug FbxControlSetPlug